body {
    font-family: "Gill Sans", sans-serif;
    min-height: 100vh;
    margin: 0;
    display: flex;
    flex-direction: column;
}

footer {
    width: 100%;
    justify-content: space-around;
display: flex;
align-items: center;
background: rgb(242, 242, 242);
color: black;
font-weight: 600;
padding: 0.5em;
margin-top: auto;
font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

footer img {
	margin: 0 16px;
	height: 2em;
}

table {
    border-collapse: collapse;
}
thead {
    position: sticky;
    top: 0px;
    z-index: 10;
    background: aliceblue;
}
th {
    background: cornflowerblue;
    padding-left: 1em;
    padding-right: 1em;
}
h1 {
    border-bottom: darkslateblue double .25em;
}
h2 {
    border-bottom: cornflowerblue solid 2px;
}

td {
    padding-left: 1em;
    padding-right: 1em;
    border-right: 1px solid lightgrey;
    border-bottom: 1px solid lightgrey;
    text-align: center;
}

.lb {
    border-left: 1px solid lightgrey;
}

summary {
  font-weight:bold;
}

details {
  border: 1px solid lightgrey;
  border-radius: .25em;
  padding-left: 1em;
}

.circle {
  border-radius: 50%;
  width:1em;
  height:1em;
}

.sorting {
    border: 2px solid cornflowerblue;
    background: lightblue;
}

header {
    background: darkblue;
    width: 100%;
    padding:0.25em;
}

.toolbar {
    min-height: 2em;
    display: flex;
    width: calc(100vw - 2em);
    justify-content: space-between;
    position: sticky;
    left: 0.25em;

    a {
        color: white;
        font-weight: bold;
    }

}

    /* The Modal Background */
.ketcher-overlay {
    position: fixed; /* Stay in place */
    z-index: 100; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Black background with opacity */
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Modal Content Box */
.ketcher-content {
    background-color: #ffffff;
    padding: 25px;
    border-radius: 8px;
    width: 80vw;
    max-width: 1200px;
    min-height: 500px;
    box-shadow: 0 5px 15px rgba(0,0,0,.3);
    position: relative; /* Needed for the close button */
}

/* The Close Button */
.ketcher-close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 28px;
    font-weight: bold;
    color: #555;
    cursor: pointer;
}

.ketcher-close:hover {
    color: #000;
}

